Skip to main content

Detach AddOn IPv4

POST/api/v1/reserve_ips/{addon_ip}/actions/

Path parameters

  • addon_ipPathstringrequired

    Path parameter addon_ip.

Query parameters

  • project_idQuerystringoptional

    Identifier of the project to scope the request to. Optional; if omitted, the account's default project is used.

    • optional
    • if omitted, the request is applied to the default project
    example{{project_id}}
  • apikeyQuerystringoptional

    API key used for authentication

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringoptional

    Specifies the target location for detaching the IPv4 add-on.

    • non-empty string
    • valid location identifier
    example{{location}}

Request body

application/json

string

JSON string representing the detach add-on IPv4 request

example{ "type": "detach", "vm_id": {{vm_id}} }
  • must be valid JSON
  • must include a "type" field with value "detach"
  • must include a "vm_id" field

Responses

200Successful response
object
codeinteger

HTTP status code indicating the result of the detach add-on IPv4 request

example200
  • integer
  • value between 100 and 599
dataobject
errorsobject
messagestring

Status message indicating the result of the IPv4 detach operation.

exampleIP Detached Successfully.
  • must be a non-empty string
  • contains only printable ASCII characters
  • max length 100 characters